Name: horde
Version: 2.2.5
Release: alt1

Summary: The common Horde Framework for all Horde modules.
License: LGPL
Group: Networking/Other
URL: http://www.horde.org/

Source: %name-%version.tar.bz2
Source1: %name.conf
BuildArchitectures: noarch
Requires: php >= 4.2.1
Requires: pear >= 1.3.1
Requires: mod_php
BuildPreReq: apache-devel

%description
The Horde Framework provides a common structure and interface for Horde
applications (such as IMP, a web-based mail program).  This RPM is
required for all other Horde module RPMs.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

%prep
%setup -q -n %name-%version
%__subst "/#!\/usr\/bin\/php -q/d" po/translation.php

%build

%install
%__mkdir_p %buildroot%apache_addonconfdir
%__cp -p %SOURCE1 %buildroot%apache_addonconfdir
%__mkdir_p %buildroot%apache_htdocsdir/addon-modules/%name
%__cp -pR * %buildroot%apache_htdocsdir/addon-modules/%name
%__chmod go-rwx %buildroot%apache_htdocsdir/addon-modules/%name/test.php
cd %buildroot%apache_htdocsdir/addon-modules/%name/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		%__cp -p $d $d0
	fi
done

%post
# post-install instructions:
grep -q "^Include conf/addon-modules/horde.conf" || \
    echo "Include conf/addon-modules/horde.conf" >> %apache_conf
[ -f %apache_addonconfdir/horde.conf ] &&
    %__subst "s/127.0.0.1/127.0.0.1 `hostname -i`/" \
    %apache_addonconfdir/horde.conf
/sbin/service httpd condrestart
cat <<_EOF_
You must manually configure Horde!
See "CONFIGURING HORDE" in %apache_htdocsdir/addon-modules/%name/docs/INSTALL
By default, access to horde allowed only from localhost or `hostname`
To configure access to horde you must edit %apache_addonconfdir/horde.conf
_EOF_

%postun
if [ $1 -eq 0 ]; then
    [ -f %apache_conf ] &&
		%__subst "/Include conf\/addon-modules\/horde.conf/d" \
		%apache_conf
		/sbin/service httpd condrestart
fi

%files
# Apache horde.conf file
%config %apache_addonconfdir/horde.conf
%dir %apache_htdocsdir/addon-modules/%name
# Include top-level files by hand
%apache_htdocsdir/addon-modules/%name/*.php
%apache_htdocsdir/addon-modules/%name/graphics
%apache_htdocsdir/addon-modules/%name/lib
%apache_htdocsdir/addon-modules/%name/locale
%apache_htdocsdir/addon-modules/%name/po
%apache_htdocsdir/addon-modules/%name/scripts
%apache_htdocsdir/addon-modules/%name/templates
%apache_htdocsdir/addon-modules/%name/util
# Mark documentation files with %doc and %docdir
%doc %apache_htdocsdir/addon-modules/%name/COPYING
%doc %apache_htdocsdir/addon-modules/%name/README
%docdir %apache_htdocsdir/addon-modules/%name/docs
%apache_htdocsdir/addon-modules/%name/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%apache_group) %dir %apache_htdocsdir/addon-modules/%name/config
%defattr(640,root,%apache_group)
%apache_htdocsdir/addon-modules/%name/config/.htaccess
%apache_htdocsdir/addon-modules/%name/config/*.dist
%config %apache_htdocsdir/addon-modules/%name/config/*.php

%changelog
* Mon Apr 05 2004 Vladimir Lettiev <crux@altlinux.ru> 2.2.5-alt1
- initial release for Sisyphus

